# git-command

## 简单的命令

Command line instructions

- Git global setup

```
git config --global user.name "yourName"
git config --global user.email "yourEmail"
```

- Create a new repository

```
git clone git@115.159.76.241:git/git-command.git
cd git-command
touch README.md
git add README.md
git commit -m "add README"
git push -u origin master
```

- Existing folder

```
cd existing_folder
git init
git remote add origin git@115.159.76.241:git/git-command.git
git add .
git commit -m "Initial commit"
git push -u origin master
```

- Existing Git repository

```
cd existing_repo
git remote rename origin old-origin
git remote add origin git@115.159.76.241:git/git-command.git
git push -u origin --all
git push -u origin --tags
```